Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1240004 - signpost-core: FTBFS in rawhide
Summary: signpost-core: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: signpost-core
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cédric OLIVIER
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:23 UTC by Dennis Gilmore
Modified: 2016-01-01 15:24 UTC (History)
2 users (show)

Fixed In Version: signpost-core-1.2.1.2-9.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-01 15:24:38 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2015-07-05 21:23 UTC, Dennis Gilmore
no flags Details
root.log (deleted)
2015-07-05 21:23 UTC, Dennis Gilmore
no flags Details
state.log (deleted)
2015-07-05 21:23 UTC, Dennis Gilmore
no flags Details
fix FTBFS (deleted)
2015-07-19 09:43 UTC, gil cattaneo
no flags Details | Diff

Description Dennis Gilmore 2015-07-05 21:23:51 UTC
Your package signpost-core failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10153375

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:23:53 UTC
Created attachment 1048327 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:23:53 UTC
Created attachment 1048328 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:23:54 UTC
Created attachment 1048329 [details]
state.log

Comment 4 Jan Kurik 2015-07-15 13:24:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 gil cattaneo 2015-07-19 09:43:11 UTC
Created attachment 1053580 [details]
fix FTBFS

- adapt to current guideline
- swith to maven build
- fix Url field
- fix BR list (run test suite)
- use BR mvn()-like
- use upstream source archive
- resolve some rpmlint problems
- install license file (reported to upstream bug#74)

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10405025

Comment 6 gil cattaneo 2015-10-26 10:54:32 UTC
You should remove also
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

Comment 7 gil cattaneo 2015-10-26 17:09:35 UTC
other issues:
the files README.markdown and LICENSE should be habdle in this way

%files -f .mfiles-%{name}
%doc README.markdown
%license LICENSE
 
%files -n oauth-signpost -f .mfiles-oauth-signpost
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

if not using the patch I have provided, please do not add inaccurate changes  and even my data in the changelog
regards


Note You need to log in before you can comment on or make changes to this bug.